-- using 303111955 as a seed to the RNG

/* TPC_H  Query 16 - Parts/Supplier Relationship */

SELECT	P_BRAND,
	P_TYPE,
	P_SIZE,
	COUNT(DISTINCT PS_SUPPKEY)	AS SUPPLIER_CNT
FROM	PARTSUPP,
	PART
WHERE	P_PARTKEY	= PS_PARTKEY				AND
	P_BRAND		<> 'Brand#52'					AND
	P_TYPE		NOT LIKE 'MEDIUM BRUSHED%'				AND
	P_SIZE		IN (15, 46, 26, 35, 47, 25, 5, 43)	AND
	PS_SUPPKEY	NOT IN	(	SELECT	S_SUPPKEY
					FROM	SUPPLIER
					WHERE	S_COMMENT	LIKE '%Customer%Complaints%'
				)
GROUP	BY	P_BRAND,
		P_TYPE,
		P_SIZE
ORDER	BY	SUPPLIER_CNT	DESC,
		P_BRAND,
		P_TYPE,
		P_SIZE
